#include <iostream>
using namespace std;

int A[2000010];

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);

	int N, K,c=0;
	int getVal;

	cin >> N >> K;

	for (int i = 0; i < N * 2 + 1; i++)
	{
		A[i] = 0;
	}

	for (int i = 0; i < N;i++)
	{
		std::cin >> getVal;
		if (++A[getVal + N] == K)
			c++;
	}

	cout << c<<'\n';
	for (int i = 0; i < N * 2 + 1; i++)
	{
		if (A[i] >= K)
			cout << i - N<<' ';
	}
	return 0;
}